Crystal Space: CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 > Struct Template Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 > Struct Template Reference

Inheritance diagram for CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >:

[legend]
List of all members.

## Public Member Functions
void | Advance ()
| Advance a pixel right.
const ScanlineComp * | GetFloat (size_t) const
| Return an interpolated component.
void | Setup (const InterpolateEdgePersp &L, const InterpolateEdgePersp &R, uint len, int ipolStep, int ipolShift)
| Setup interpolation over a scanline, given left and right edge.
## Public Attributes
int | InterpolShift
| Interpolation shift.
int | InterpolStep
| Interpolation step.
int | ipx
| Remaining pixels for this interpolation span.
int | spans
| Remaining spans.

## Detailed Description

### template<>
struct CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >

Definition at line 279 of file types.h.

## Member Function Documentation

void CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::Advance | ( |  | ) | `[inline]`

Advance a pixel right.

Definition at line 310 of file types.h.

References CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::dIzdx, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::dIzdx_f, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::dIzdx_fLast, CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::InterpolStep, CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::ipx, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::Iz, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::Iz_f, and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::spans.

const ScanlineComp* CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::GetFloat | ( | size_t |  | ) | const`[inline]`

Return an interpolated component.

But since we don't interpolate anything...

Definition at line 334 of file types.h.

void CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::Setup | ( | const InterpolateEdgePersp & | L,
|  | const InterpolateEdgePersp & | R,
|  | uint | len,
|  | int | ipolStep,
|  | int | ipolShift |
| ) |  |  | `[inline]`

Setup interpolation over a scanline, given left and right edge.

Definition at line 291 of file types.h.

References CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::dIzdx, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::dIzdx_f, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::dIzdx_fLast, CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::InterpolShift, CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::InterpolStep, CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::ipx, CS::PluginCommon::SoftShader::InterpolateEdgePersp::Iz, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::Iz, CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon::Iz_f, and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::spans.

## Member Data Documentation

int CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::InterpolShift

Interpolation shift.

Definition at line 284 of file types.h.

int CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::InterpolStep

Interpolation step.

Definition at line 282 of file types.h.

int CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::ipx

Remaining pixels for this interpolation span.

Definition at line 286 of file types.h.

int CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >::spans

Remaining spans.

Definition at line 288 of file types.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h